Package org.apache.aries.jax.rs.rest.management.internal

## Class FrameworkStartLevelResource

- java.lang.Object
- - org.apache.aries.jax.rs.rest.management.internal.BaseResource
  - - org.apache.aries.jax.rs.rest.management.internal.FrameworkStartLevelResource

    public class FrameworkStartLevelResource
    extends BaseResource

### Constructor Summary

Constructors
`FrameworkStartLevelResource​(org.osgi.framework.BundleContext bundleContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.ws.rs.core.Response` `startlevel​(String ext)`
`javax.ws.rs.core.Response` `startlevel​(FrameworkStartLevelSchema update, String ext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FrameworkStartLevelResource

    public FrameworkStartLevelResource​(org.osgi.framework.BundleContext bundleContext)

### Method Detail

#### startlevel

    @GET
    @Produces({"application/org.osgi.frameworkstartlevel+json","application/org.osgi.frameworkstartlevel+xml"})
    @Path("framework/startlevel{ext:(\\.json|\\.xml)*}")
    public javax.ws.rs.core.Response startlevel​(@PathParam("ext")
                                                String ext)

#### startlevel

    @PUT
    @Consumes({"application/org.osgi.frameworkstartlevel+json","application/org.osgi.frameworkstartlevel+xml"})
    @Path("framework/startlevel{ext:(\\.json|\\.xml)*}")
    public javax.ws.rs.core.Response startlevel​(FrameworkStartLevelSchema update,
                                                @PathParam("ext")
                                                String ext)